"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

OrderedCollection subclass:#ChangeSet
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'System-Changes'
!

!ChangeSet class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    used in the changes management to keep track of changes
"
! !

!ChangeSet class methodsFor:'queries'!

current
    "ST-80 compatibility: return the current changeSet"

    |p|

    (Project notNil and:[(p := Project current) notNil]) ifTrue:[
	^ p changeSet
    ]

    "
     ChangeSet current 
    "
! !

!ChangeSet methodsFor:'change management'!

addClassCategoryChange:newCategory for:aClass
    |newChange|

    newChange := ClassCategoryChange class:aClass category:newCategory.
    self add:newChange

    "Created: 3.12.1995 / 13:45:53 / cg"
!

addClassDefinitionChangeFor:aClass
    |newChange|

    newChange := ClassDefinitionChange class:aClass.
    self add:newChange

    "Modified: 3.12.1995 / 14:05:57 / cg"
!

addPrimitiveDefinitionsChangeFor:aClass
    |newChange|

    newChange := ClassPrimitiveDefinitionsChange class:aClass.
    self add:newChange
!

addPrimitiveFunctionsChangeFor:aClass
    |newChange|

    newChange := ClassPrimitiveFunctionsChange class:aClass.
    self add:newChange
!

addPrimitiveVariablesChangeFor:aClass
    |newChange|

    newChange := ClassPrimitiveVariablesChange class:aClass.
    self add:newChange
!

addMethodCategoryChange:aMethod category:newCategory in:aClass
    |newChange|

    newChange := MethodCategoryChange class:aClass
				   selector:(aClass selectorAtMethod:aMethod)
				   category:newCategory.
    self add:newChange

!

addMethodChange:aMethod in:aClass
    |newChange|

    newChange := MethodChange class:aClass
			   selector:(aClass selectorAtMethod:aMethod)
			     source:aMethod source
			   category:aMethod category.
    self add:newChange
!

addMethodPrivacyChange:aMethod in:aClass
    |newChange|

    newChange := MethodPrivacyChange class:aClass
				   selector:(aClass selectorAtMethod:aMethod)
				   privacy:aMethod privacy.
    self add:newChange

    "Modified: 27.8.1995 / 22:55:22 / claus"
! !

!ChangeSet methodsFor:'misc'!

addPatch:nameOfPatch
    "ignored for now - allows fileIn of ST-80 patch stuff .."

    ^ self
! !

!ChangeSet class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/ChangeSet.st,v 1.16 1995-12-03 18:12:45 cg Exp $'
! !
